Bug 608340 - Preupgrade downloads packages of 0 and partial sizes, does no further checking (reproduced!)
Preupgrade downloads packages of 0 and partial sizes, does no further checkin...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: preupgrade (Show other bugs)
12
All Linux
low Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-26 17:54 EDT by Bryan J Smith
Modified: 2014-09-14 20:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:40:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan J Smith 2010-06-26 17:54:14 EDT
Description of problem:

Preupgrade downloads packages of 0 and other, partial sizes, and does no further
checking.  Anaconda then fails mid-upgrade, and because GLibC is left in a
partial state, system will not boot into old version, but will error on next 
Anaconda attempt.  Yes, Anaconda seems to skip further checking as well.

I have no produced this on two (2) Fedora 12 systems, both i386.
One is an AMD-ATI 690G chipset, Turion 1.3GHz.
The other is an Intel P45G chipset, Centrino 2 Duo (E8400).

The first one I took a reboot, and it went through the process, and crapped
on the 0 and partial size files.  At first I thought I must have had a corruption.

The second notebook has not been rebooted at all.  Preupgrade said it "finished."
I then checked the file list and they are numerous 0 size packages.  It looks
to be a similar package set to the first, including half of the GLibC packages
of 0 or partial size. 

Pre-upgrade was run on the systems 12 hours apart, _not_ using a proxy/cache.
One was wireless, the other was wired, completely separate networks, probably
pulling from different mirrors.

Version-Release number of selected component (if applicable):

Fedora 12, fully updated, preupgrade 1.1.7-1.fc12.

How reproducible:

Have now reproduced it on second notebook.

Steps to Reproduce:
1.  Preupgrade
2.  Preupgrade again (still doesn't download existing 0 size packages)
3.  Reboot (does not check for these 0/partial packages, Anaconda just starts anyway)
  
Actual results:

Anaconda refuses to try again after partial upgrade.
Existing Fedora 12 install cannot pivot root filesystem because of state.

Expected results:

Download packages correctly *OR*
Anaconda should at least verify packages before starting installation.
(Why is Anaconda not doing this?)

Additional info:

Currently recovering system by ...
1.  Boot with init=/bin/bash
2.  Run /etc/rc.sysinit manually
3.  Run dhclient eth0 (use wired connection)
4.  Manually download and install GLibC from Fedora 13
5.  Clear YUM cache
6.  Remove package fedora-release-12 (leaving fedora-release-13)
7+. Painstakenly running "yum upgrade" on select sets of packages, lots at a time as required ("yum upgrade [--skip-broken]" on its own doesn't work)
Comment 1 Bryan J Smith 2010-06-26 18:03:41 EDT
Okay, just as I was filing this, my 4th "preupgrade" run seems to have filled in the zero-size packages.

As an added measure, I imported the Fedora 13 keys and it checked with:  
cd /var/cache/yum ; find . -mount -name *.rpm | xargs rpm -qp --checksig | grep -i "NOT OK"

In any case, after preupgrade reboots, Anaconda really needs to check the packages before starting.  I've been running with both notebooks for anywhere from 6-20 months now.  They are solid, reliable systems and it's not a disk corruption.
Comment 2 Bug Zapper 2010-11-03 08:49:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:40:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.